Update Doc Folder
Rename a doc folder, move it under another folder, or both. Pass `parentId: null` to move it to the top level. A folder cannot be moved into itself or one of its descendants.
PATCH
/api/v1/docs/folders/{folderId}Authorization
ApiKeyAuth Path Parameters
folderId*string
The folder ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/docs/folders/string" \ -H "Content-Type: application/json" \ -d '{ "workspaceId": "string" }'{ "success": true, "data": { "folder": { "id": "string", "workspaceId": "string", "parentId": "string", "name": "string", "isSystem": true, "sortOrder": 0, "color": "string", "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }}